Subject: Re: bug#36931: guile-bash repository no longer exists?

From: Björn Höfling <[email-masked]>
Date: Mon, 5 Aug 2019 22:39:07 +0200

On Mon, 05 Aug 2019 16:38:07 +0200
Ricardo Wurmus <[email-masked]> wrote:

> Jesse Gibbons <[email-masked]> writes:
> 
> > guile-bash fails to build. The site
> > https://anonscm.debian.org/cgit/use
> > rs/kaction-guest/retired/dev.guile-bash.git says it is not on the
> > web server.  
> 
> Perhaps a copy of the sources can be found in the Software Heritage
> archive?

This was already discussed in 

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33861
https://lists.gnu.org/archive/html/guix-devel/2019-04/msg00558.html
https://lists.gnu.org/archive/html/guix-devel/2019-05/msg00234.html

This software is unmaintained and nobody is willing to maintain it.
If nobody complains, we should drop it from Guix.

Here is an archive of a git repository:

https://alioth-archive.debian.org/git/users/kaction-guest/retired/guile-bash.git.tar.xz

But it doesn't have any commit with id

1eabc563ca5692b3e08d84f1f0e6fd2283284469

which is the one we use in Guix.

I tried to download it from SWH, but it failed:

$ guix build -S --no-substitutes guile-bash
The following derivation will be built:
   /gnu/store/vrw4yfy4ln6yvc3wwppw4bwiaxdzl4jp-guile-bash-0.1.6-0.1eabc56-checkout.drv
building /gnu/store/vrw4yfy4ln6yvc3wwppw4bwiaxdzl4jp-guile-bash-0.1.6-0.1eabc56-checkout.drv...
environment variable `PATH' set to `/gnu/store/q09sy224qnxrp982z4xfaxi19721mjx8-gzip-1.9/bin:/gnu/store/ipx79bfj2mrc8npj7s3qi3zri11jfhaw-tar-1.30/bin'
Initialized empty Git repository in /gnu/store/7p7mkiqv9ah6x0x20qzpas44sdf7jqkl-guile-bash-0.1.6-0.1eabc56-checkout/.git/
fatal: repository 'https://anonscm.debian.org/cgit/users/kaction-guest/retired/dev.guile-bash.git/' not found
Failed to do a shallow fetch; retrying a full fetch...
fatal: repository 'https://anonscm.debian.org/cgit/users/kaction-guest/retired/dev.guile-bash.git/' not found
git-fetch: '/gnu/store/04abn97vvc06c84pi8cb3lni9jyxfzmf-git-minimal-2.22.0/bin/git fetch origin' failed with exit code 128
Trying content-addressed mirror at berlin.guixsd.org...
Trying content-addressed mirror at berlin.guixsd.org...
Backtrace:
           4 (primitive-load "/gnu/store/ixb9ja1vxd46ydf83qbj9f3f6qz?")
In ./guix/swh.scm:
    532:8  3 (call-with-temporary-directory #<procedure 8e7740 at ./?>)
   552:10  2 (_ "/tmp/guix-build-guile-bash-0.1.6-0.1eabc56-checkout?")
In ./guix/build/utils.scm:
   778:22  1 (_)
In unknown file:
           0 (get-bytevector-n! #f #vu8(0 0 0 0 0 0 0 0 0 0 0 0 0 ?) ?)

ERROR: In procedure get-bytevector-n!:
In procedure get-bytevector-n!: Wrong type argument in position 1 (expecting open input port): #f
builder for `/gnu/store/vrw4yfy4ln6yvc3wwppw4bwiaxdzl4jp-guile-bash-0.1.6-0.1eabc56-checkout.drv' failed with exit code 1
build of /gnu/store/vrw4yfy4ln6yvc3wwppw4bwiaxdzl4jp-guile-bash-0.1.6-0.1eabc56-checkout.drv failed
View build log at '/var/log/guix/drvs/vr/w4yfy4ln6yvc3wwppw4bwiaxdzl4jp-guile-bash-0.1.6-0.1eabc56-checkout.drv.bz2'.
guix build: error: build of `/gnu/store/vrw4yfy4ln6yvc3wwppw4bwiaxdzl4jp-guile-bash-0.1.6-0.1eabc56-checkout.drv' failed

Maybe it is not part of SWH? Message could be nicer. Though when I'm
searching for individual files from above git repository, I can find
them in SWH:

https://archive.softwareheritage.org/browse/content/sha1_git:dded8caad51a40c90c763fcf23ad18522f0e90d8/
https://archive.softwareheritage.org/browse/content/44a728397230f178c02131a001c884808bcd2d39/

It would be interesting if I can go in SWH from a file to the full
repository. Does anyone know if that is possible?

Björn